package de.ivu.elect.presentation.stimmeingabe.exchange;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import org.apache.deltaspike.core.api.scope.ConversationGroup;

import de.ivu.elect.jee.presentation.redirect.Redirect;
import de.ivu.elect.presentation.exchange.SupportedFileFormatErmittler;
import de.ivu.elect.presentation.stimmeingabe.menu.StimmeingabeErfassenMenuItemEntry;

@Specializes
public class NlStimmeingabeImportBestaetigenView extends StimmeingabeImportBestaetigenView {
  private static final long serialVersionUID = 1L;

  @Inject
  @ConversationGroup(SupportedFileFormatErmittler.class)
  private transient SupportedFileFormatErmittler supportedFileFormatErmittler;

  @Inject
  private transient StimmeingabeErfassenMenuItemEntry stimmeingabeErfassenMenuItemEntry;

  @Override
  protected String getImportErfolgtViewId() {
    if (stimmeingabeErfassenMenuItemEntry.isPossible()) {
      return stimmeingabeErfassenMenuItemEntry.getTargetViewId(); // ELECT-10309
    }
    return super.getImportErfolgtViewId();
  }

  @Override
  @Redirect
  public String importieren() {
    String importieren = super.importieren();
    supportedFileFormatErmittler.reset(); // ELECTVAPP-1146
    return importieren;
  }
}
